
import axios from "axios";
import { ElMessage } from 'element-plus'
import router from "./router";



// 创建axios 实例
const instacne = axios.create({
    baseURL: "http://chat.lihaink.cn/index/",
    timeout: 30000,
});



const instacnePlant = axios.create({
    baseURL: "https://suyuan.lihaink.cn/",
    timeout: 30000,
});


const instacneTrade = axios.create({
    baseURL: "https://shop.lihaink.cn",
    timeout: 30000,
});

const instacneTrike = axios.create({
    baseURL: "https://crmeb-test.shop.lihaink.cn/",
    timeout: 30000,
});

const instacneBreed = axios.create({
    baseURL: "https://ceshi-suyuan-breed.lihaink.cn",
    timeout: 30000,
});

const configInstacne=(ins)=>{
    ins.interceptors.request.use(
        (config) => {
            // 在发送请求之前做什么
    
          
    
            return config;
        },
        (err) => {
            return Promise.reject(err);
        }
    );
    // 响应拦截
    ins.interceptors.response.use(
        (res) => {
    
            // if (res.data.status != 200) {
            //     ElMessage({
            //         message: res.data.message,
            //         type: 'warning',
            //     })
            //     return Promise.reject(res.data.message);
    
            // }
            // 对响应的数据做什么
            return res.data;
        },
        (err) => {
            return Promise.reject(err);
        }
    );
    
}

configInstacne(instacne)
configInstacne(instacnePlant)
configInstacne(instacneTrade)
configInstacne(instacneTrike)
configInstacne(instacneBreed)


export function sendMsg(params) {
    let uid = localStorage.getItem('local') || '';
    params.channel = uid + params.channel;
    return instacne.get('/dataviewTouchPush', { params })
}
// 种植数据大屏获取设备土地列表
export function landListApi(params) {
    return instacnePlant.get('/api/dataview.land/landList', { params })
}

export function vehicleListApi(params) {
    return instacneTrike.get('/api/dataview/vehicle_list', { params })
}

export function apigetTownLists(params) {
    return instacneTrike.get('/api/city/get_street', { params })
}

export function breedFarmCount(params) {
    return instacneBreed.get('/api/dataview.farm/farmCount', { params })
}

// 交易数据大屏获取商户列表
export function merchant_listApi(params) {
    return instacneTrade.get('/api/dataview/merchant_list', { params })
}
//
//api/dataview/merchant?mer_id=36&areaCode=510524&streetCode=510524100
// }
