import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import ElementPlus from 'element-plus'
// 标准的ES模块化引入方式
import '@/utils/rem.js'
import {
    createPinia
} from 'pinia'
import 'element-plus/dist/index.css'

const pinia = createPinia()
const app = createApp(App)


app.use(router)
app.use(pinia)
app.use(ElementPlus)
app.mount('#app')